unit Unit1;

interface

uses
  Windows,
  Messages,
  SysUtils,
  Variants,
  Classes,
  Graphics,
  Controls,
  Forms,
  Dialogs,
  StdCtrls,
  Menus,
  ExtCtrls,
  uForm;

type
  TForm1 = class(TForm)
    BtnShowModal: TButton;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Exit1: TMenuItem;
    Panel1: TPanel;
    BtnShow: TButton;
    procedure BtnShowModalClick(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure BtnShowClick(Sender: TObject);
  private
    { Private declarations }
    FForm: TForm2;
  public
    { Public declarations }
    procedure FormShowModal;
    procedure FormShow;
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.BtnShowModalClick(Sender: TObject);
var
  vForm: TForm2;
begin
  vForm := TForm2.Create(nil);
  try
    vForm.ShowModal;
  finally
    vForm.Release;
  end;
end;

procedure TForm1.BtnShowClick(Sender: TObject);
begin
  if FForm = nil then
    FForm := TForm2.Create(Application);
  FForm.Show;
end;

procedure TForm1.FormShowModal;
begin
  Self.BtnShowModalClick(nil);
end;

procedure TForm1.Exit1Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.FormShow;
begin
  Self.BtnShowClick(nil);
end;

end.
